Bug 615466 (CVE-2010-2753) - CVE-2010-2753 Mozilla nsTreeSelection dangling pointer remote code execution vulnerability
Summary: CVE-2010-2753 Mozilla nsTreeSelection dangling pointer remote code execution ...
Status: CLOSED ERRATA
Alias: CVE-2010-2753
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100720,reported=20100714,sou...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-16 19:24 UTC by Josh Bressers
Modified: 2015-08-19 08:50 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 21:38:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0544 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-07-21 01:39:35 UTC
Red Hat Product Errata RHSA-2010:0545 normal SHIPPED_LIVE Critical: thunderbird security update 2010-07-21 01:18:47 UTC
Red Hat Product Errata RHSA-2010:0546 normal SHIPPED_LIVE Critical: seamonkey security update 2010-07-21 00:43:03 UTC
Red Hat Product Errata RHSA-2010:0547 normal SHIPPED_LIVE Critical: firefox security update 2010-07-21 01:09:15 UTC

Description Josh Bressers 2010-07-16 19:24:22 UTC
Security researcher regenrecht reported via TippingPoint's Zero Day
Initiative an integer overflow vulnerability in the implementation of the
XUL <tree> element's selection attribute. When the size of a new selection
is sufficiently large the integer used in calculating the length of the
selection can overflow, resulting in a bogus range being marked selected.
When adjustSelection is then called on the bogus range the range is deleted
leaving dangling references to the ranges which could be used by an
attacker to call into deleted memory and run arbitrary code on a victim's
computer.

Comment 1 Vincent Danen 2010-07-21 00:00:25 UTC
This is now public: http://www.mozilla.org/security/announce/2010/mfsa2010-40.html

Comment 2 errata-xmlrpc 2010-07-21 00:43:17 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2010:0546 https://rhn.redhat.com/errata/RHSA-2010-0546.html

Comment 3 errata-xmlrpc 2010-07-21 01:09:42 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0547 https://rhn.redhat.com/errata/RHSA-2010-0547.html

Comment 4 errata-xmlrpc 2010-07-21 01:19:22 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0545 https://rhn.redhat.com/errata/RHSA-2010-0545.html

Comment 5 errata-xmlrpc 2010-07-21 01:40:03 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0544 https://rhn.redhat.com/errata/RHSA-2010-0544.html

Comment 6 Fedora Update System 2010-07-23 02:30:48 UTC
seamonkey-2.0.6-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-07-23 02:36:14 UTC
xulrunner-1.9.2.7-1.fc13, firefox-3.6.7-1.fc13, mozvoikko-1.0-12.fc13, gnome-web-photo-0.9-10.fc13, perl-Gtk2-MozEmbed-0.08-6.fc13.15, gnome-python2-extras-2.25.3-20.fc13, galeon-2.0.7-30.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-07-23 02:40:31 UTC
thunderbird-3.0.6-1.fc12, sunbird-1.0-0.23.20090916hg.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-07-23 02:42:27 UTC
seamonkey-2.0.6-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-07-23 02:46:10 UTC
xulrunner-1.9.1.11-1.fc12, firefox-3.5.11-1.fc12, gnome-web-photo-0.9-8.fc12, mozvoikko-1.0-11.fc12, perl-Gtk2-MozEmbed-0.08-6.fc12.14, gnome-python2-extras-2.25.3-19.fc12, galeon-2.0.7-24.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-07-23 02:48:06 UTC
thunderbird-3.1.1-1.fc13, sunbird-1.0-0.26.b2pre.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.